Index: templates/template.h
===================================================================
--- templates/template.h	(revision d236a684943ed1055a5f2965d9999b7fea2676ea)
+++ templates/template.h	(revision 4f64517ef8ac7bbb54e92e032085d944fa163120)
@@ -1,51 +1,42 @@
-// -*- c++ -*-
-/***************************************************************************//**
- * @file template.h
+//*****************************************************************************
+// Computer Algebra System SINGULAR    
+// Copyright: See COPYING file that comes with this distribution
+//*****************************************************************************
+/** @file template.h
  * 
- * This file defines the class TEMPLATE. AAA. BBB.
- * CCC.
+ * This file defines the class TEMPLATE. 
  *
- * DDDD.
+ * ABSTRACT: We need this for something...
  *
  * @author Oleksandr Motsak
  *
- * @par Copyright:
- *   (C) by The SINGULAR Team, see COPYING file
- * EEE.
+ * @internal @version \$Id$
  *
- * FFFFFFFF.
- * 
- * FFFFFFFFFFFFFFFFFFFFFFFFF.
- * @internal 
- * @version \$Id$
- *
- ******************************************************************************/
+ **/
+//*****************************************************************************
+
+#ifndef SINGULAR_TEMPLATE_CLASS_h_
+#define SINGULAR_TEMPLATE_CLASS_h_
 
 // include basic definitions
 #include "singularxx_defs.h"
 
-#ifndef SINGULAR_TEMPLATE_CLASS_h_
-#define SINGULAR_TEMPLATE_CLASS_h_
-
 BEGIN_NAMESPACE_SINGULARXX
 
-/** @class TEMPLATE template.h somRootDirectory/template.h
+/** @class TEMPLATE template.h "someRootDirectory/template.h"
  * 
- * [brief description of class TEMPLATE].
+ * Brief description of class TEMPLATE.
  *
- * [detailed description of class TEMPLATE]. 
- * AAAA. 
- * @par blah, blah, ..., blah.
+ * Detailed description of class TEMPLATE. 
  *
- * @sa see alsos
+ * @sa some other classes
  */
-class TEMPLATE: public TEMPLATE_BASE_CLASS  // doxygen will document the inheritance automatically
+class TEMPLATE: public TEMPLATE_BASE_CLASS
 {
-
 public:
-  /// Name type of *this. 
+  /// Name type of *this.  
   typedef TEMPLATE self;
 
-  /// My enum. Not yours!
+  /// My enum. Or yours, if you want!
   enum My 
   {
@@ -54,6 +45,6 @@
   };
 
-  /// Default constructor. And now goes the detailed description....
-  /// 
+  /// Default constructor. 
+  /// And now goes the detailed description....
   TEMPLATE();
 
@@ -63,24 +54,18 @@
   
 
-  /** Brief: [method description].
+  /** Brief method description.
    *
-   * Long: [detailed method description]
+   * Detailed method description.
    *
    * @param [in] a some int
-   * @param [in] b another int
-   * @param [out] result integer result
-   *
-   * @return [information about return value]
-   * @sa [see also section]
-   * @note This will be hilighted in the documentation as a special note.
-   * @warning [any warning if necessary]
-   * @exception std::exception Some explanation of what causes this exception.
+   * @param [out] o integer result
+   * @return information about return value
+   * @sa strcpy2
    */
-  void MethodTemplate( const int a, const int b, int & result );
+  int Method( int a, int &o );
 
+  /// Example of Copy a string method.
   ///
-  /// Brief: Example of Copy a string method.
-  ///
-  /// Long: The strcpy function copies @a strSource, including
+  /// The strcpy function copies @a strSource, including
   /// the terminating null character, to the location
   /// specified by @a strDestination. No overflow checking
@@ -91,25 +76,18 @@
   /// @return @a strcpy returns the destination string.
   /// No return value is reserved to indicate an error.
-  /// @sa wcscpy(), _mbscpy(), strncpy()
-  ///
+  /// @sa Method(), wcscpy(), _mbscpy(), strncpy()
   char* strcpy2(
             char* strDestination,  ///< [out] pointer to source null terminated 
                                    ///< string ...
                                    ///< continue ...
-            const char* strSource, ///< [in] pointer to destination memory ....
+            const char* strSource  ///< [in] pointer to destination memory ....
                                    ///< continue ...
-            const int a            ///< [in] counter
                );
 
 
 protected:
-
-  /// Short description
-  bool m_bAnotherFlag;
-
   /// Short description of some flag. Long description: use this format to document a variable or
   /// method
   bool m_bSomeFlag;
-
 };
 
